class Person:
    def __init__(self, name, job=None, pay=0):
        self.name = name
        self.job  = job
        self.pay  = pay
    def lastName(self):                               # Metody zachowania
        return self.name.split()[-1]                  # self to sugerowany podmiot
    def giveRaise(self, percent):
        self.pay = int(self.pay * (1 + percent))      # Wystarczy zmienić tutaj

if __name__ == '__main__':
    bob = Person('Robert Zielony')
    anna = Person('Anna Czerwona', job='programista', pay=100000)
    print(bob.name, bob.pay)
    print(anna.name, anna.pay)
    print(bob.lastName(), anna.lastName())             # Użycie nowych metod
    anna.giveRaise(.10)                                # Zamiast kodu zapisanego na stałe
    print(anna.pay)

